## 2.1.1

* Fix parsing error in DataDome blocked response by converting the response based on its ResponseType.

## 2.1.0

* Expose `DataDomeDio.getCookie()` method to retrieve the last DataDome cookie value
* Add a cookie cache mechanism
* Handle event tracking sending for non intercepted calls

## 2.0.0

### Breaking changes

* Upgrade Dio dependency to version 5.x.x to fix [CVE-2021-31402](https://nvd.nist.gov/vuln/detail/CVE-2021-31402)

## 1.2.0

* Add methods to `DataDomeInterceptor` to share DataDome cookies between native and webview contexts

## 1.1.3

* Improve SDK documentation and example

## 1.1.2

* Check response nullability at error response validation

## 1.1.1

* Fix iOS payload system-version parse error

## 1.1.0

* Add event tracking feature
* add manual integration feature
* update libraries versions

## 1.0.6

* Improve dependencies (updated the version of webview-flutter to 3.0.1)

## 1.0.5

* Disabled the android back button while the captcha page is displayed

## 1.0.4

* Fixed an issue with the Javascript listener for android

## 1.0.3

* Improved documentation

## 1.0.2

* Added a logger to the DataDome plugin with several log levels.


## 1.0.1

* Suppport null safety

## 1.0.0

* First release of the DataDome Dio plugin.
